<?php
namespace Glopal\Connector\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

interface OrderItemTotalCostSearchResultsInterface extends SearchResultsInterface
{
    /**
     * Get entities list.
     *
     * @return OrderItemTotalCostInterface[]
     */
    public function getItems();

    /**
     * Set entities list.
     *
     * @param OrderItemTotalCostInterface[] $items
     *
     * @return $this
     */
    public function setItems(array $items);
}
