<?php

namespace Glopal\Connector\Model\ResourceModel\OrderItemTotalCost;

use Glopal\Connector\Api\Data\OrderItemTotalCostInterface;
use Glopal\Connector\Model\OrderItemTotalCost;
use Glopal\Connector\Model\ResourceModel\OrderItemTotalCost as ResourceModel;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    /** @var string */
    protected $_idFieldName = OrderItemTotalCostInterface::ENTITY_ID;

    /**
     * Define resource model.
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(OrderItemTotalCost::class, ResourceModel::class);
    }
}
