<?php

namespace Glopal\Connector\Observer;

use Glopal\Connector\Helper\Installation;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;

class StoreAdd implements ObserverInterface
{
    /** @var Installation */
    private $helperInstallation;

    /**
     * @param Installation $helperInstallation
     */
    public function __construct(Installation $helperInstallation)
    {
        $this->helperInstallation = $helperInstallation;
    }

    /**
     * @inheritdoc
     */
    public function execute(Observer $observer)
    {
        $this->helperInstallation->notifyInstallation();
    }
}
