<?php

namespace Glopal\Connector\Processor\AfterOrder;

use Glopal\Connector\Api\CreateRequestDTOInterface;
use Magento\Sales\Api\Data\OrderInterface;

interface AfterOrderCreateProcessorInterface
{
    /**
     * Process order creation.
     *
     * @param OrderInterface $order
     * @param CreateRequestDTOInterface $createRequestDTO
     *
     * @return void
     */
    public function process(OrderInterface $order, CreateRequestDTOInterface $createRequestDTO): void;
}
