<?php

namespace Glopal\Connector\Processor\CartTransfer;

use Magento\Quote\Api\Data\CartInterface;

interface CartTransferProcessorInterface
{
    /**
     * Process the data and return result.
     *
     * @param CartInterface $quote
     * @param array $data
     */
    public function process(CartInterface $quote, array &$data): void;
}
