<?php

namespace Glopal\Connector\Validator\OrderCreate;

use Glopal\Connector\Exception\OrderCreateValidationException;

interface OrderCreateValidatorInterface
{
    /**
     * Validate request data before starting order creation process.
     *
     * @param array $data
     * @return void
     * @throws OrderCreateValidationException
     */
    public function validate(array $data): void;
}
