define([
    'jquery',
    'Magento_Customer/js/customer-data',
    'loader'
], function($, customerData){
    $.widget('mage.glCheckoutSuccessUrl', {
        options: {
            redirect_url: ''
        },

        /**
         * Widget initialization
         * @private
         */
        _create: function() {
            var spinner = $('body').loader();
            spinner.loader('show');

            if (this.options.redirect_url) {
                customerData.invalidate(['cart']);
                window.location.replace(this.options.redirect_url);
            }
        }
    });

    return $.mage.glCheckoutSuccessUrl;
});
