<?php
namespace Glopal\Connector\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

interface OrderAttributeSearchResultsInterface extends SearchResultsInterface
{
    /**
     * Get entities list.
     *
     * @return OrderAttributeInterface[]
     */
    public function getItems();

    /**
     * Set entities list.
     *
     * @param OrderAttributeInterface[] $items
     *
     * @return $this
     */
    public function setItems(array $items);
}
