<?php

namespace Glopal\Connector\Cron;

use Glopal\Connector\Helper\Installation;

class Install
{
    /** @var Installation */
    private $helper;

    /**
     * @param Installation $helperInstallation
     */
    public function __construct(Installation $helperInstallation)
    {
        $this->helper = $helperInstallation;
    }

    /**
     * Collect all store information
     *
     * @return void
     */
    public function execute()
    {
        $this->helper->notifyInstallation();
    }
}
