<?php

namespace Glopal\Connector\Model\ResourceModel\OrderAttribute;

use Glopal\Connector\Api\Data\OrderAttributeInterface;
use Glopal\Connector\Model\OrderAttribute;
use Glopal\Connector\Model\ResourceModel\OrderAttribute as ResourceModel;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    /** @var string */
    protected $_idFieldName = OrderAttributeInterface::ENTITY_ID;

    /**
     * Define resource model.
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(OrderAttribute::class, ResourceModel::class);
    }
}
