<?php

namespace Glopal\Connector\Model\ResourceModel\OrderTotalCost;

use Glopal\Connector\Api\Data\OrderTotalCostInterface;
use Glopal\Connector\Model\OrderTotalCost;
use Glopal\Connector\Model\ResourceModel\OrderTotalCost as ResourceModel;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    /** @var string */
    protected $_idFieldName = OrderTotalCostInterface::ENTITY_ID;

    /**
     * Define resource model.
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(OrderTotalCost::class, ResourceModel::class);
    }
}
