<?php

namespace Glopal\Connector\Processor\Order;

use Glopal\Connector\Api\CreateRequestDTOInterface;
use Magento\Quote\Api\Data\CartInterface;

interface OrderCreateProcessorInterface
{
    /**
     * Process order creation.
     *
     * @param CartInterface $quote
     * @param CreateRequestDTOInterface $createRequestDTO
     *
     * @return void
     */
    public function process(CartInterface $quote, CreateRequestDTOInterface $createRequestDTO): void;
}
