<?php

namespace Glopal\Connector\Validator\OrderCreate;

class Customer extends BaseOrderCreate
{
    private const REQUIRED_FIELDS = [
        'first_name',
        'last_name',
        'email',
    ];
    private const OPTIONAL_FIELDS = [
        'email_alias',
    ];

    /**
     * @inheritdoc
     */
    public function validate(array $data): void
    {
        $data = $data['customer'];
        $this->validateFieldsWithData(self::REQUIRED_FIELDS, $data);
        $this->validateOptionalFields(self::OPTIONAL_FIELDS, $data);
    }
}
