<?php

namespace Glopal\Connector\Validator\OrderCreate;

class General extends BaseOrderCreate
{
    private const REQUIRED_FIELDS = [
        'attributes',
        'currency',
        'exchange_rates',
        'customer',
        'billing_address',
        'shipping_address',
        'created_at',
        'summary',
        'items',
        'shipping',
    ];
    private const REQUIRED_FIELDS_WITHOUT_DATA = [
        'comment_note',
        'customer_note',
    ];

    /**
     * @inheritdoc
     */
    public function validate(array $data): void
    {
        $this->validateFieldsWithData(self::REQUIRED_FIELDS, $data);
        $this->validateFieldsWithoutData(self::REQUIRED_FIELDS_WITHOUT_DATA, $data);
    }
}
