<?php

namespace Glopal\Connector\Validator\OrderCreate;

class TotalCost extends BaseOrderCreate
{
    private const REQUIRED_FIELDS = [
        'transaction_id',
    ];

    /**
     * @inheritdoc
     */
    public function validate(array $data): void
    {
        if (!isset($data['total_cost'])) {
            return;
        }

        $data = $data['total_cost'];
        $this->validateFieldsWithData(self::REQUIRED_FIELDS, $data);
    }
}
