<?php

namespace Glopal\Connector\ViewModel\Checkout;

use Magento\Framework\App\RequestInterface;
use Magento\Framework\View\Element\Block\ArgumentInterface;

class SuccessUrlViewModel implements ArgumentInterface
{
    /** @var RequestInterface */
    private $request;

    public function __construct(RequestInterface $request)
    {
        $this->request = $request;
    }

    /**
     * Retrieve Glopal Checkout success url from session.
     *
     * @return string
     */
    public function getSuccessUrl(): string
    {
        return $this->request->getParam('returnTo') ?? '';
    }
}
